{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.gyroflow;
in mkIf cfg.enable {
  home.packages = with pkgs; [ (gyroflow.overrideAttrs (finalAttrs: previousAttrs: {
    buildInputs = previousAttrs.buildInputs ++ [ pkgs.qt6Packages.qtwayland ];
  })) ];

  wayland.windowManager.sway.config.window.commands = [
    { criteria.app_id = "xyz.gyroflow.gyroflow"; command = "floating enable"; }
  ];
}
